Subject: [DMVR] Kris Mandt

From: "Ric Johnson" <[email-masked]>
Date: Mon, 2 Apr 2012 17:56:01 -0500

In case you had not yet heard Kris Mandt passed away this past Saturday, March
31st. Per Kris' wishes there will be no visitation or funeral, although there
will almost certainly be some activity honoring him at the first DMVR race at
MAM in June.

Ric